#ui-datepicker-div {
    z-index: 9999999 !important;
}

.ui-datepicker .ui-widget .ui-widget-content .ui-helper-clearfix .ui-corner-all {
    z-index: 9999999 !important;
}

input[type="file"] {
    position: absolute;
    visibility: hidden;
    width: 0;
    z-index: -9999;
}

.thumbnail {
    width: 171px;
    margin: 0 auto;
    margin-bottom: 10px;
}

#previewIcon {
    position: relative;
}

#previewIcon a {
    position: absolute;
    bottom: 5px;
    left: 5px;
    right: 5px;
    display: none;
}

#previewLogo {
    position: relative;
}

#previewLogo a {
    position: absolute;
    bottom: 5px;
    left: 5px;
    right: 5px;
    display: none;
}

.inputfile {
    width: 0.1px;
    height: 0.1px;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    z-index: -1;
}

.inputfile+label {
    color: #3c8dbc;
}

.inputfile+label {
    border: 1px solid #3c8dbc;
    font-size: 1rem;
    background-color: #fff;
    padding: 0;
}

.inputfile:focus+label,
.inputfile.has-focus+label,
.inputfile+label:hover {
    border-color: #3c8dbc;
}

.inputfile+label span,
.inputfile+label strong {
    padding: 0.625rem 1.25rem;
}

.inputfile+label span {
    width: 200px;
    min-height: 1em;
    display: inline-block;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    vertical-align: top;
}

.inputfile+label strong {
    height: 100%;
    color: #fff;
    background-color: #3c8dbc;
    display: inline-block;
}

.inputfile:focus+label strong,
.inputfile.has-focus+label strong,
.inputfile+label:hover strong {
    background-color: #3c8dbc;
}

@media screen and (max-width: 50em) {
    .inputfile+label strong {
        display: block;
    }
}

.ui-autocomplete .ui-menu-item a {
    text-decoration: none;
    display: block;
    width: 100%;
    height: 100%;
}

.disabled-select {
    background-color: #d5d5d5;
    opacity: 0.5;
    border-radius: 3px;
    cursor: not-allowed;
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
}

select[readonly].select2-hidden-accessible+.select2-container {
    pointer-events: none;
    touch-action: none;
}

select[readonly].select2-hidden-accessible+.select2-container .select2-selection {
    background: #eee;
    box-shadow: none;
}

select[readonly].select2-hidden-accessible+.select2-container .select2-selection__arrow,
select[readonly].select2-hidden-accessible+.select2-container .select2-selection__clear {
    display: none;
}

.btn {
    margin-bottom: 5px;
}

@media (max-width: 991px) {
    .btn-group.my-btn-group-responsive>.btn {
        display: block;
        width: 100%;
    }

    /* making the border-radius correct */
    .btn-group.my-btn-group-responsive>.btn:first-child {
        border-radius: 6px 6px 0 0;
    }

    .btn-group.my-btn-group-responsive>.btn:first-child:not(:last-child):not(.dropdown-toggle) {
        border-top-right-radius: 6px;
    }

    .btn-group.my-btn-group-responsive>.btn:last-child:not(:first-child) {
        border-radius: 0 0 6px 6px;
    }

    /* fixing margin */
    .btn-group.my-btn-group-responsive .btn+.btn {
        margin-left: 0;
    }

}

.modal-info {
    background-image: -webkit-gradient(linear, 0 100%, 0 0, from(#d9edf7), to(#b9def0));
    background-image: -webkit-linear-gradient(#d9edf7 0%, #b9def0 100%);
    background-image: -moz-linear-gradient(#d9edf7 0%, #b9def0 100%);
    background-image: -o-linear-gradient(#d9edf7 0%, #b9def0 100%);
    background-image: linear-gradient(#d9edf7 0%, #b9def0 100%);
    background-repeat: repeat-x;
    filter: progid: DXImageTransform.Microsoft.gradient(startColorstr='#ffd9edf7', endColorstr='#ffb9def0', GradientType=0);
    border-color: #9acfea;
    border-radius: 6px 6px 0 0;
}